using CommerceBuilder.Shipping;
using CommerceBuilder.Shipping.Providers.FedExWS;
using CommerceBuilder.Utility;

partial class Admin_Shipping_Providers_FedExWS_Default : CommerceBuilder.Web.UI.AbleCommerceAdminPage
{
    protected void CancelButton_Click(object sender, System.EventArgs e)
    {
        Response.Redirect("../Default.aspx");
    }

    protected void NextButton_Click(object sender, System.EventArgs e)
    {
        if (Page.IsValid)
        {
            FedExWS provider = new FedExWS();
            provider.Key = Key.Text;
            provider.Password = Password.Text;
            provider.MeterNumber = MeterNumber.Text;
            provider.AccountNumber = AccountNumber.Text;
            provider.AccountActive = true;
            provider.UseTestMode = true;
            ShipGateway gateway = new ShipGateway();
            gateway.ClassId = Misc.GetClassId(provider.GetType());
            gateway.UpdateConfigData(provider.GetConfigData());
            gateway.Name = "FedEx";
            gateway.Enabled = true;
            gateway.Save();
            Response.Redirect(("Configure.aspx?ShipGatewayId=" + gateway.ShipGatewayId.ToString()));
        }
    }
}